Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.terraingen
Class WorldTypeEvent.InitBiomeGens

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.terraingen.WorldTypeEvent
              net.minecraftforge.event.terraingen.WorldTypeEvent.InitBiomeGens

Enclosing class:
  WorldTypeEvent

    public static class WorldTypeEvent.InitBiomeGens

extends WorldTypeEvent

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.WorldTypeEvent
`WorldTypeEvent.BiomeSize, WorldTypeEvent.InitBiomeGens`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary
`GenLayer[]` | `newBiomeGens`
`GenLayer[]` | `originalBiomeGens`
`long` | `seed`

Fields inherited from class net.minecraftforge.event.terraingen.WorldTypeEvent
`worldType`

Constructor Summary
`WorldTypeEvent.InitBiomeGens(WorldType worldType, long seed, GenLayer[] original)`

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### seed

    public final long seed

### originalBiomeGens

    public final GenLayer[] originalBiomeGens

### newBiomeGens

    public GenLayer[] newBiomeGens

Constructor Detail

### WorldTypeEvent.InitBiomeGens

    public WorldTypeEvent.InitBiomeGens(WorldType worldType,
                                        long seed,
                                        GenLayer[] original)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD